Package be.ehealth.businessconnector.genericasync.exception

# Class GenAsyncBusinessConnectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.businessconnector.genericasync.exception.GenAsyncBusinessConnectorException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GenAsyncSignatureValidationConnectorException`

public class GenAsyncBusinessConnectorException extends ConnectorException
Connector Exception for Generic Async Connector.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue)`
  builder
  `GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Object... params)`
  builder
  `GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)`
  builder

- ## Method Summary

  ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GenAsyncBusinessConnectorException

    public GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Object... params)
    builder
    Parameters:
      `errorCodeValue` -
      `params` -

  - ### GenAsyncBusinessConnectorException

    public GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue)
    builder
    Parameters:
      `errorCodeValue` -

  - ### GenAsyncBusinessConnectorException

    public GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)
    builder
    Parameters:
      `errorCodeValue` -
      `e` -
      `params` -